GenerateBdsCertificateDetails

class oci.bds.models.GenerateBdsCertificateDetails(**kwargs)

Bases: object

Request body for generating certificates.

Methods:

__init__(**kwargs)

Initializes a new GenerateBdsCertificateDetails object with values from keyword arguments.

Attributes:

cluster_admin_password

Gets the cluster_admin_password of this GenerateBdsCertificateDetails.

manage_certificate_level_type_details

[Required] Gets the manage_certificate_level_type_details of this GenerateBdsCertificateDetails.

secret_id

Gets the secret_id of this GenerateBdsCertificateDetails.

__init__(**kwargs)

Initializes a new GenerateBdsCertificateDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • manage_certificate_level_type_details (oci.bds.models.ManageBdsCertificateLevelTypeDetails) – The value to assign to the manage_certificate_level_type_details property of this GenerateBdsCertificateDetails.

  • cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this GenerateBdsCertificateDetails.

  • secret_id (str) – The value to assign to the secret_id property of this GenerateBdsCertificateDetails.

property cluster_admin_password

Gets the cluster_admin_password of this GenerateBdsCertificateDetails. Base-64 encoded password for the cluster admin user.

Returns

The cluster_admin_password of this GenerateBdsCertificateDetails.

Return type

str

property manage_certificate_level_type_details

[Required] Gets the manage_certificate_level_type_details of this GenerateBdsCertificateDetails.

Returns

The manage_certificate_level_type_details of this GenerateBdsCertificateDetails.

Return type

oci.bds.models.ManageBdsCertificateLevelTypeDetails

property secret_id

Gets the secret_id of this GenerateBdsCertificateDetails. The secretId for the clusterAdminPassword.

Returns

The secret_id of this GenerateBdsCertificateDetails.

Return type

str